Property | Type | Description | |
---|---|---|---|
_app | Autodesk.Revit.ApplicationServices.Application | ||
_doc | System.Windows.Forms.Document | ||
distinctLuminaires | List |
||
intlVersion | bool | ||
meterMultiplier | double | ||
stfVersionNum | string | ||
writer | string |
Method | Description | |
---|---|---|
Execute ( ExternalCommandData commandData, string &message, ElementSet elements ) : System.Result |
Method | Description | |
---|---|---|
SpaceInfoWriter ( ElementId spaceID, string RoomRNum ) : void | ||
getFurns ( ElementId spaceID, string RoomRNum ) : string | ||
getNumLamps ( FamilySymbol fs ) : string | ||
getVertexPointNums ( Space roomSpace ) : int | ||
getVertexPoints ( Space roomSpace ) : List |
||
writeLumenairs ( ) : void |
public Execute ( ExternalCommandData commandData, string &message, ElementSet elements ) : System.Result | ||
commandData | ExternalCommandData | |
message | string | |
elements | ElementSet | |
return | System.Result |
public Autodesk.Revit.ApplicationServices.Application _app | ||
return | Autodesk.Revit.ApplicationServices.Application |
public Document,System.Windows.Forms _doc | ||
return | System.Windows.Forms.Document |